<?php
/*
 * ----------------------------------------------------------------------------
 * Download.php                                                      01/31/2003
 * This script will allow a web user to download a specified file.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-database.inc.php");        // Include database functions.

// Check the passed parameters. This script will look directly at the database
// to determine the filename instead of passing the filename and path directly.
if (isset($_POST["t"])) {                   // Set the passed variables.
    $t = $_POST["t"];
} else {
    die();
}

if (isset($_POST["d"])) {                   // Set the passed variables.
    $d = $_POST["d"];
} else {
    die();
}

if (isset($_POST["m"])) {                   // Set the passed variables.
    $m = $_POST["m"];
} else {
    die();
}

// Check to see if this page was referred by another page, and check to see where
// that page was at.
if ((!isset($_ENV["HTTP_REFERER"])) ||
    (!strpos($_ENV["HTTP_REFERER"], $_SERVER["HTTP_HOST"]))) {
    die("<br><h3>You are not allowed to access this script from an outside source.<br>Press the BACK button on your browser.</h3>");
}

$db = GetDbInfo($t, $d);                    // Retrieve the database information.
$msgInfo = GetMessageInfo($db, $m);         // Retrieve the message information.
if ($msgInfo["attfilename"]) {
    if ($CONFIG["filehost"]) {
        $file = ConvertDir($CONFIG["filehost"], $db["filepath"]) . '\ ' . $msgInfo["attfilename"];
        $file = str_replace(" ", "", $file);
    } else {
        $file = $db["filepath"] . '\ ' . $msgInfo["attfilename"];
        $file = str_replace(" ", "", $file);
    }
} else {
    die("<br><h3>File is missing. Press the BACK button on your browser.</h3>");
}

if (SendFile($file) == FALSE) die("<br><h3>An error occurred during the transfer. Press the BACK button on your browser.</h3>");


/**
* Download.php :: SendFile()
*
* This function will send the specified file to the user using the fpassthru()
* function.
*
*/
function SendFile($file) {
    $status   = FALSE;                      // Set the status to default to false.
    $filename = basename($file);            // Get the filename.

    if ((!is_file($file)) || (connection_status() != 0)) return FALSE;
    header("Content-type: application/octet-stream");
    header("Content-Disposition: attachment; filename=\"" . $filename . "\"");
    header("Content-transfer-encoding: binary");
    header("Content-length: " . (filesize($file)));

    $fp = fopen($file, "rb");               // Open the file to send.
    $status = fpassthru($fp);               // Send the file.

    return $status;                         // Return the status.
}

?>
