<?php
/*
 * ----------------------------------------------------------------------------
 * Files-DispDb.php                                                  01/31/2003
 * This script will display the databases of the specified topic.
 * The variable $t is passed to the script to set the topic number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");       // Login authentication.
require_once("va-database.inc.php");        // Include database functions.
require_once("va-userfile.inc.php");        // Include userfile functions.
require_once("layout_files.inc.php");       // Webpage header and footer.

ForumHeader();                              // Display the webpage header.

if (isset($_GET["t"])) {                    // Set the passed variables.
    $t = $_GET["t"];
} else {
    $t = 10;
}

if ($t < 1) $t = 1;

$topic = GetTopicInfo($t, "F");             // Get the topic information.
// If this is an invalid section, display an error message.
if (!$topic) die("<br><h3>Invalid topic. Please press the BACK button on your browser.</h3>");
// Determine if the user has access to this section.
if ($topic["dbno"] == 0) die("<br><h3>You do not have access to this section. Please press the BACK button on your browser.</h3>");
?>

<font class="msgBack"><a class="msgBack" href="files-disptopics.php">Back to File Area Topics</a></font><br>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="25">
            <font class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($topic["desc"]); ?></font></td>
    </tr>
    <tr>
        <td width="30" height="15" bgcolor="#000080"></td>
        <td width="425" height="15" bgcolor="#000080" align="left">
            <font class="msgHeader">&nbsp;Directory</font></td>
        <td width="50" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">Files</font></td>
        <td width="195" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">Last Upload</font></td>
        <td width="100" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">Moderator</font></td>
    </tr>

<?php
for ($x = 1; $x <= $topic["dbno"]; $x++) {
    $db = GetDBInfo($t, $x);                // Retrieve the database information.
    $last = GetLastPostInfo($db);           // Retrieve the last post information of the database.
    $dateTime = ConvertDateTime($last["date"], $last["time"]);

    $moderator = "";
    if ($db["moderator"] != 0) {            // If there is a moderator, get the handle.
        $user = GetUser($db["moderator"]);
        $moderator = htmlspecialchars($user["handle"]);
    }
    
    $msgno = $db["msgno"];                  // Get the number of messages in the database.
    if (!$msgno) $msgno = 0;                // If there is no file, then there is no messages.

    if (DbAccess($db) != 0) {
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center"><img border="0" src="images/folder.gif" alt="Database Folder" width="13" height="11"></td>
        <td width="425" height="30" align="left">
            <font class="heading">&nbsp;<?php if ($msgno > 0) print "<a href=\"files-dispmsg.php?t=" . $t . "&d=" . $x . "\">"?><?php print htmlspecialchars($db["desc"]); ?><?php if ($msgno > 0) print "</a>"; ?></font></td>
        <td width="50" height="30" bgcolor="#E2E2E2" align="center">
            <font class="msgBody"><?php print $msgno; ?></font></td>
        <td width="195" height="30" align="center">
            <font class="body"><?php print $dateTime["date"]; ?></font><font class="msgTime">&nbsp;<?php print $dateTime["time"]; ?>
            <?php if ($dateTime["time"] != 0) print "</font><br><font class=\"boldBody\">" . htmlspecialchars($last["attfilename"]); ?></b></font></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="center">
            <font class="body"><?php print $moderator; ?></font></td>
    </tr>

<?php
    }
}
?>

    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25">&nbsp;</td>
    </tr>
</table>
<font class="msgBack"><a style="color: #FF0000" href="files-disptopics.php">Back to File Area Topics</a></font><br>

<?php
ForumFooter();                              // Display the webpage footer.
?>
