<?php
/*
 * ----------------------------------------------------------------------------
 * Files-ViewMsg.php                                                 01/31/2003
 * This script will display the selected message to the user.
 * The variable $t is passed to the script to set the topic number.
 * The variable $d is passed to the script to set the database number.
 * The variable $m is passed to the script to set the message number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */
 
require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");       // Login authentication.
require_once("va-database.inc.php");        // Include database functions.
require_once("layout_files.inc.php");       // Webpage header and footer.

ForumHeader();                              // Display the webpage header.

if (isset($_GET["t"])) {                    // Set the passed variables.
    $t = $_GET["t"];
} else {
    $t = 10;
}

if (isset($_GET["d"])) {                    // Set the passed variables.
    $d = $_GET["d"];
} else {
    $d = 1;
}

if ($t < 1) $t = 1;
if ($d < 1) $d = 1;

$db = GetDbInfo($t, $d);                    // Retrieve the database information.

// Determine if the user has access to this section.
if (DbAccess($db) == 0) die("<br><h3>You do not have access to this section. Please press the BACK button on your browser.</h3>");

$topic = GetTopicInfo($t, "F");             // Retrieve the topic information.
// If this is an invalid section, display an error message.
if ($topic == "") die("<br><h3>Invalid topic. Please press the BACK button on your browser.</h3>");

$msgno = $db["msgno"];                      // Retrieve the number of messages.

if (isset($_GET["m"])) {                    // Set the passed variables.
    $m = $_GET["m"];
} else {
    $m = $msgno;
}

if ($m > $msgno) $m = $msgno;

// Setup the previous/next links.
if ($m > 1) {
    $num = $m - 1;
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous Message</a> |</font>\n";
}

if ($m < $msgno) {
    $num = $m + 1;
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next Message</a> |</font>\n";
}
print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "\">Back to " . htmlspecialchars($db["desc"]) . "</a></font><br>\n";
?>

<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="25" width="748">
            <font class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db["desc"]); ?></font></td>
    </tr>
    <tr>
        <td width="30" height="15" bgcolor="#000080"></td>
        <td width="385" height="15" bgcolor="#000080" align="left">
            <font class="msgHeader">&nbsp;Description</font></td>
        <td width="100" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">&nbsp;Filename</font></td>
        <td width="60" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">&nbsp;Size</font></td>
        <td width="175" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">Date/Time/Uploader</font></td>
    </tr>

<?php
$msgInfo = GetMessageInfo($db, $m);         // Get the message information.
$dateTime = ConvertDateTime($msgInfo["date"], $msgInfo["time"]);
// Check for any files.
if ($msgInfo["attfilename"] != "") {
    if ($CONFIG["filehost"] != "") {
        $file = ConvertDir($CONFIG["hostname"], $db["filepath"]) . '\ ' . $msgInfo["attfilename"];
        $file = str_replace(" ", "", $file);
    } else {
        $file = $db["filepath"] . '\ ' . $msgInfo["attfilename"];
        $file = str_replace(" ", "", $file);
    }
} else {
    $file = "";
}

if ($file != "") {
    if (!is_file($file)) {
        $filesize = "0 bytes";
    } else {
        $filesize = filesize($file);
        if ($filesize >= 1024000) {
            $filesize = rnd($filesize / 1048576, 1) . "MB";
        } elseif ($filesize >= 1024) {
            $filesize = intval($filesize / 1024) . "KB";
        } else {
            $filesize = $filesize . " bytes";
        }
    }
}

if ($msgInfo["fromhandle"] == "") {
    $from = "Unknown";
} else {
    $from = htmlspecialchars($msgInfo["fromhandle"]);
}

if ($msgInfo["subject"] == "") {
    $subject = "No Subject";
} else {
    $subject = htmlspecialchars($msgInfo["subject"]);
}
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" src="images/message.gif" alt="Message" width="13" height="11"><?php if ($msgInfo["attfilename"] != "") print "<img border=\"0\" src=\"images/paperclip.gif\" alt=\"Attached File\" width=\"10\" height=\"13\">"; ?></font></td>
        <td width="385" height="30" align="left">
            <font class="heading">&nbsp;<?php print $subject; ?></font></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="center">
            <font class="boldBody"><?php print htmlspecialchars($msgInfo["attfilename"]); ?></font></td>
        <td width="60" height="30" align="center">
            <font class="body"><?php print $filesize; ?></font></td>
        <td width="175" height="30" bgcolor="#E2E2E2" align="center">
            <font class="body"><?php print $dateTime["date"]; ?></font><font class="msgTime">&nbsp;<?php print $dateTime["time"]; ?></font><br><font class="body">by </font><font class="boldBody"><?php print $from; ?></font></td>
    </tr>

<?php
$message = HTMLEncode(StripHeartColors(GetMessage($db, $m)));    // Get the message to display.
?>

    <tr>
        <td width="750" align="left" colspan="5" valign="top">
<?php
// If there is an attached file, then display its link.
if ($file != "") {
?>

    <form action="download.php" method="post">
    <input type="hidden" name="t" value="<?php print $t; ?>">
    <input type="hidden" name="d" value="<?php print $d; ?>">
    <input type="hidden" name="m" value="<?php print $m; ?>">
    <input type="image" value="Download" src="images/download.gif" alt="Download <?php print $msgInfo["attfilename"]; ?>" width="80" height="25" align="absmiddle">
    <font class="filename">&nbsp;File: <?php print $msgInfo["attfilename"]; ?></font><font class="filesize"> (<?php print $filesize; ?>)</font>
    </form>

<?php
} else {
    print "<br>\n";
}
?>
            <pre><?php print $message; ?></pre>
        </td>
    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25" width="748">&nbsp;</td>
    </tr>
</table>

<?php
// Setup the previous/next links.
if ($m > 1) {
    $num = $m - 1;
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous Message</a> |</font>\n";
}
if ($m < $msgno) {
    $num = $m + 1;
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next Message</a> |</font>\n";
}
print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "\">Back to " . htmlspecialchars($db["desc"]) . "</a></font><br>\n";

ForumFooter();                              // Display the webpage footer.

?>
