<?php
/*
 * ----------------------------------------------------------------------------
 * Forum-DispMsg.php                                                 01/31/2003
 * This script will display a list of messages that are available in the
 * selected database.
 * The variable $t is passed to the script to set the topic number.
 * The variable $d is passed to the script to set the database number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");       // Login authentication.
require_once("va-database.inc.php");        // Include database functions.
require_once("layout_forum.inc.php");       // Webpage footer and header.

ForumHeader();                              // Display the webpage header.

if (isset($_GET["t"])) {                    // Set the passed variables.
    $t = $_GET["t"];
} else {
    $t = 1;
}

if (isset($_GET["d"])) {                    // Set the passed variables.
    $d = $_GET["d"];
} else {
    $d = 1;
}

if ($t < 1) $t = 1;
if ($d < 1) $d = 1;

$topic = GetTopicInfo($t, "M");             // Retrieve the topic information.
// If this is an invalid section, display an error message.
if (!$topic) die("<br><h3>Invalid topic. Please press the BACK button on your browser.</h3>");

$db = GetDBInfo($t, $d);                    // Retrieve the database information.
// Determine if the user has access to this section.
if (!DbAccess($db)) die("<br><h3>You do not have access to this section. Please press the BACK button on your browser.</h3>");

$msgno = $db["msgno"];                      // Retrieve the number of messages.

if (isset($_GET["m"])) {                    // Set the passed variables.
    $m = $_GET["m"];
} else {
    $m = $msgno;
}

if ($m > $msgno) $m = $msgno;

// Setup the previous/next links.
if ($m > 25) {
    $num = $m - 25;
    $cnt = 25;
    if ($num < 25) $cnt = $num;
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous " . $cnt . "</a> |</font>\n";
}

if ($m < $msgno) {
    $num = $m + 25;
    if ($num > $msgno) $num = $msgno;
    $cnt = 25;
    if (($msgno - $m) < 25) $cnt = ($msgno - $m);
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next " . $cnt . "</a> |</font>\n";
}
print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"forum-dispdb.php?t=" . $t . "\">Back to " . htmlspecialchars($topic["desc"]) . "</a></font><br>\n";
?>

<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="25" width="748">
            <font class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db["desc"]); ?></font></td>
    </tr>
    <tr>
        <td width="30" height="15" bgcolor="#000080"></td>
        <td width="100" height="15" bgcolor="#000080" align="left">
            <font class="msgHeader">&nbsp;From</font></td>
        <td width="100" height="15" bgcolor="#000080" align="left">
            <font class="msgHeader">&nbsp;To</font></td>
        <td width="345" height="15" bgcolor="#000080" align="left">
            <font class="msgHeader">&nbsp;Subject</font></td>
        <td width="175" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">Date/Time</font></td>
    </tr>

<?php
// Run the loop that will display the messages.
for ($x = $m; $x >= ($m - 24); $x--) {
    if ($x <= 0) break;
    $msgInfo = GetMessageInfo($db, $x);     // Get the message information.
    $dateTime = ConvertDateTime($msgInfo["date"], $msgInfo["time"]);

    if ($msgInfo["fromhandle"] == "") {
        $from = "Unknown";
    } else {
        $from = htmlspecialchars($msgInfo["fromhandle"]);
    }

    if ($msgInfo["subject"] == "") {
        $subject = "No Subject";
    } else {
        $subject = htmlspecialchars($msgInfo["subject"]);
    }
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" src="images/message.gif" alt="Message" width="13" height="11"><?php if ($msgInfo["attfilename"] != "") print "<img border=\"0\" src=\"images/paperclip.gif\" alt=\"Attached File\" width=\"10\" height=\"13\">"; ?></font></td>
        <td width="100" height="30" align="left">
            <font class="boldBody">&nbsp;<?php print $from; ?></font></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="left">
            <font class="body">&nbsp;<?php print htmlspecialchars($msgInfo["tohandle"]); ?></font></td>
        <td width="345" height="30" align="left">
            <font class="heading">&nbsp;<a href="forum-viewmsg.php?t=<?php print $t . "&d=" . $d . "&m=" . $x . "\">" . $subject; ?></a></font></td>
        <td width="175" height="30" bgcolor="#E2E2E2" align="center">
            <font class="body"><?php print $dateTime["date"]; ?></font><font class="msgTime">&nbsp;<?php print $dateTime["time"]; ?></font></td>
    </tr>

<?php
}
?>

    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25" width="748">&nbsp;</td>
    </tr>
</table>

<?php
// Setup the previous/next links.
if ($m > 25) {
    $num = $m - 25;
    $cnt = 25;
    if ($num < 25) $cnt = $num;
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous " . $cnt . "</a> |</font>\n";
}
if ($m < $msgno) {
    $num = $m + 25;
    if ($num > $msgno) $num = $msgno;
    $cnt = 25;
    if (($msgno - $m) < 25) $cnt = ($msgno - $m);
    print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next " . $cnt . "</a> |</font>\n";
}
print "      <font class=\"msgBack\"><a class=\"msgBack\" href=\"forum-dispdb.php?t=" . $t . "\">Back to " . htmlspecialchars($topic["desc"]) . "</a></font><br>\n";

ForumFooter();                              // Display the webpage footer.
?>
