<?php
/*
 * ----------------------------------------------------------------------------
 * Layout_Forum.inc.php                                              01/31/2003
 * This script contains the headers and footers used with the message forums.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");       // Login authentication.
require_once("va-main.inc.php");            // Include the main BBS configuration.


/**
* Layout_Forum.inc.php :: ForumHeader()
*
* This is the header part of the webpage.
*
*/
function ForumHeader() {
    global $VA_MAIN;                        // Include the global variable.
    global $USER;                           // Include current user information.
?>

<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<title><?php print $VA_MAIN["bbsname"]; ?> Forums</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta name="copyright" content="Copyright  2003, Steve Winn">
<style>
<!--
    a:active          { color: #FF0000 }
    a:link            { color: #0000D0 }
    a:visited         { color: #0000D0 }
    a:hover           { color: #FF0000 }
    a.msgBack:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    a.msgBack:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    .body             { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; }
    .boldBody         { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; font-weight: bold }
    .filename         { font-family: Courier New;               font-size: 10pt; color: #000080; font-weight: bold }
    .filesize         { font-family: Courier New;               font-size: 10pt; color: #000080; }
    .heading          { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; font-weight: bold }
    .msgBack          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    .msgBody          { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; }
    .msgHeader        { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .msgTime          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #666666; }
    .msgTitle         { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #FFFF00; font-weight: bold }
    .title            { font-family: Verdana, Arial, Helvetica; font-size: 12pt; color: #000000; font-weight: bold }
-->
</style>
</head>

<body bgcolor="#FFFFFF">

<div align="center">
<center>
<table cellspacing="0" cellpadding="0" width="750" border="0" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td>
            <font class="title"><a href="http://www.vadvphp.com"><img border="0" src="images/vadv-php.gif" alt="VADV-PHP" width="50" height="30"></a> <?php print $VA_MAIN["bbsname"] ?> Forums</font><hr color="#525552"><p>
            <font class="heading">Welcome to the <?php print $VA_MAIN["bbsname"]; ?> Forums.</font><br>
            <font class="body">This is an early version of what could be the future of the Virtual Advanced software. The VADV-PHP project is focused on developing new PHP applications for this software to expand its possibilities. For more information about this project, click <a href="http://www.vadvphp.com">here</a>.</font></p>
            <p><font class="body">Short-term plans for this message forum is to allow logins and posting.</font></p>

<?php
    if ($USER["userno"] != 0) {
?>
            <p><font class="boldBody">You are logged in as: <?php print $USER["handle"]; ?></font></p>
<?php
    } else {
?>
            <p><font class="boldBody">You are not logged in.</font></p>
<?php
    }
}


/**
* Layout_Forum.inc.php :: ForumFooter()
*
* This is the footer part of the webpage.
*
*/
function ForumFooter() {
    global $CONFIG;                      // Include the global variable.
?>

            <p align="center"><font class="boldBody">This page is powered by <a style="color: #000000" href="http://www.vadvphp.com">VADV-PHP</a></font></p>
            <p align="center"><font class="body">If you experience any problems with this website or need help, contact the
            <a href="mailto:<?php print $CONFIG["webmaster"]; ?>">webmaster</a>.<br>
            VADV-PHP Copyright  2002-<?php print date("Y"); ?> Aspect Technologies. All Rights Reserved.</font></p>
        </td>
    </tr>
</table>
</center>
</div>

</body>

</html>

<?php
}
?>
