<?php
/*
 * ----------------------------------------------------------------------------
 * Va-LoginAuth.inc.php                                              01/31/2003
 * This script will check the user's session data and determine if he is logged
 * in already. If not, then the user is given guest values.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-userfile.inc.php");
require_once("va-stats.inc.php");
require_once("va-misc.inc.php");

session_register("auth");
session_register("error");

$_SESSION["auth"]  = FALSE;
$_SESSION["error"] = FALSE;

// Default Guest Account Settings
$USER["userno"]        = 0;
$USER["handle"]        = "Guest";
$USER["realname"]      = "Guest User";
$USER["address"]       = "";
$USER["city"]          = "";
$USER["state"]         = "";
$USER["zipcode"]       = "";
$USER["phone1"]        = "";
$USER["phone2"]        = "";
$USER["password"]      = "";
$USER["mailfwdflg"]    = 0;
$USER["mailfwdhandle"] = "";
$USER["mailfwdno"]     = 0;
$USER["mailfwdnode"]   = 0;
$USER["mailfwdnetno"]  = 0;
$USER["lngdistcost"]   = 0;
$USER["lngdistacc"]    = 0;
$USER["sortfilelst"]   = 0;
$USER["pagebreak"]     = 24;
$USER["bdaymonth"]     = 0;
$USER["bdayday"]       = 0;
$USER["bdayyear"]      = 0;
$USER["age"]           = $CONFIG["userage"];
$USER["accflags"]      = $CONFIG["useraccflags"];
$USER["flags"]         = 0;
$USER["securitylevel"] = $CONFIG["usersl"];
$USER["laston"]        = "";
$USER["maxtime"]       = 60;
$USER["timecounter"]   = 0;
$USER["totalcalls"]    = 0;
$USER["totaltime"]     = 0;
$USER["videomode"]     = 1;
$USER["ratioexmpt"]    = 0;
$USER["verifybday"]    = 0;
$USER["textcolor"]     = chr(7);
$USER["basecolor"]     = chr(0);
$USER["prmptcolor"]    = chr(2);
$USER["inputcolor"]    = chr(5);
$USER["boxcolor"]      = chr(5);
$USER["mnuselcolor"]   = chr(1);
$USER["headercolor"]   = chr(2);
$USER["extra1"]        = "";
$USER["extra2"]        = "";
$USER["extra3"]        = "";
$USER["extra4"]        = "";
$USER["extra5"]        = "";
$USER["extra6"]        = "";
$USER["extra7"]        = "";
$USER["extra8"]        = "";
$USER["macro1"]        = "";
$USER["macro2"]        = "";
$USER["uplfiles"]      = 0;
$USER["uplkb"]         = 0;
$USER["dlfiles"]       = 0;
$USER["dlkb"]          = 0;
$USER["totalposts"]    = 0;
$USER["totalemail"]    = 0;
$USER["postsread"]     = 0;
$USER["timebank"]      = 0;
$USER["credits"]       = 0;
$USER["comment"]       = "";
$USER["protocol"]      = "Z";

if (session_is_registered("userno")) {
    $userno   = base64_decode($_SESSION["userno"]);
    $username = base64_decode($_SESSION["username"]);
    $password = base64_decode($_SESSION["password"]);
    if ($userno != 0) {
        $userchk = GetUser($userno);
        if ($password == $userchk["password"]) {
            $USER = $userchk;
            $_SESSION["auth"] = TRUE;
        } else {
            $_SESSION["error"] = TRUE;
        }
    } else {
        $_SESSION["error"] = TRUE;
    }
}

// Log the attempted login.
if (session_is_registered("login")) {
    if ($_SESSION["login"]) {
        if (!$_SESSION["error"]) {          // Successful...
            if ($USER["securitylevel"] < 255) {
                $stats = GetStats();            // Get the current stats.
                if (!$stats["webcallstotal"]) $stats["webcallstotal"] = 0;
                $stats["webcallstotal"]++;      // Increase the web calls.
                $stats["callstoday"]++;         // Increase today's calls.
                $fileString = ReadStats();      // Read the stats.
                $fileString = PutStats($fileString, $stats);
                WriteStats($fileString);        // Write the new file.
                WriteTodaysCallers();           // Update the today's callers file.
            }
            $log = "Attempted Login \"" . $username . "\" - SUCCESSFUL!";
            WriteLog("VADV-PHP.LOG", $log); // Log the login attempt.
            $_SESSION["login"] = FALSE;
        } else {                            // Failed...
            $log = "Attempted Login \"" . $username . "\" - FAILED!";
            WriteLog("VADV-PHP.LOG", $log); // Log the login attempt.
            $_SESSION["login"] = FALSE;
        }
    }
}
?>
