<?php
/*
 * ----------------------------------------------------------------------------
 * Va-Misc.inc.php                                                   01/31/2003
 * This script contains miscellaneous functions.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-stats.inc.php");


/**
* Va-Misc.inc.php :: WriteTodaysCallers()
*
* This function will write a new entry to the callers.lst file using the current
* user's information. This function is used only for adding web users entries,
* and NOT to add a BBS user's entry (which is done by the BBS anyway).
*
*/
function WriteTodaysCallers() {
    global $VA_SYSPATHS;                    // Include the system paths.
    global $USER;                           // Include the user's information.

    $stats        = GetStats();
    $callerNumber = str_pad($stats["webcallstotal"], 7, " ", STR_PAD_LEFT);
    $userNo       = str_pad($USER["userno"], 9);
    $handle       = str_pad($USER["handle"], 30);
    $channel      = str_pad("Web", 6);
    $time         = date("H") . ":" . date("i") . " ";
    $baud         = str_pad("VADV-PHP", 9);

    $line = chr(3) . "2"  . $callerNumber    // Create the line.
          . chr(3) . "5: "
          . chr(3) . "7#" . $userNo
          . chr(3) . "5 " . $handle
          . chr(3) . "1"  . $channel
          . chr(3) . "6"  . $time
          . chr(3) . "5 " . $baud
          . chr(3) . "0"
          . "\r\n";

    $file = $VA_SYSPATHS["data"] . '\callers.lst';
    $fp = fopen($file, "a");                // Open the file.
    flock($fp, 2);                          // Lock the file.
    
    $status = fwrite($fp, $line);           // Write the new line.

    flock($fp, 3);                          // Unlock the file.
    fclose($fp);                            // Close the file.

    return $status;                         // Return the write status.
}

?>
