<?php
/*
 * ----------------------------------------------------------------------------
 * Post-It_Network.php                                               01/31/2003
 * This script will display the last five posts on the Post-It Network.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-database.inc.php");        // Include database functions.

// Read the Post-It configuration file.
$configFile = $VA_SYSPATHS["text"] . '\postitnt.cfg';
$config = ReadAt2kConfig($configFile);

// Setup the configuration variable array.
$postitCfg["ver"]        = $config[1];
$postitCfg["dbtopic"]    = strtoupper($config[2]);
$postitCfg["db"]         = $config[3];
$postitCfg["aspnetnode"] = $config[4];
$postitCfg["vnetnode"]   = $config[5];
$postitCfg["minwritesl"] = $config[6];
$postitCfg["filter"]     = $config[7];

$topicNo = ord($postitCfg["dbtopic"]) - 64;     // Calculate the topic number.
$db = GetDbInfo($topicNo, $postitCfg["db"]);    // Get the Post-It database information.
?>

<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>

<head>
<title>AT2k Post-It! Network</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
</head>

<body text="#C0C0C0" bgcolor="#000000">
<font face="Courier New" size="3">

<?php
// Display the headers and messages.
// Print the title bar.
print "<font color=\"#FFFFFF\"><p align=\"right\"><b>Aspect Technologies Post-It! Network<font size=1> v" . $postitCfg["ver"] . "</font></b>\n";

$num = $db["msgno"] - 4;                    // Set number of the first post.

// Print out the array (messages).
while ($num <= $db["msgno"]) {
    $header  = GetMessageInfo($db, $num);
    $message = FixHeartColors(GetMessage($db, $num));
    
    if ($header["fromnetnode"] == $postitCfg["vnetnode"]) $header["fromnetnode"] = $postitCfg["aspnetnode"];
    
  	print "<hr color=\"#525552\">\n";
    print "<font color=\"#FFFF52\">By: <font color=\"#FF5552\">" . $header["fromhandle"] . "<font color=\"#FFFFFF\"> (<font color=\"#ADAAAD\">" . $header["fromuserno"] . "<font color=\"#FFFFFF\">@<font color=\"#ADAAAD\">" . $header["fromnetnode"] . "<font color=\"#FFFFFF\">)<br>\n";
   	print $message . "\n";
   	$num++;                              // Move to the next post.
}
?>

<hr color="#525552"></p>
<font color="#00AAAD"><p align=center><b>If you would like to post a Post-It! note, please visit telnet://<?php print $CONFIG["telnet"]; ?>!</b></p></font>
<font color="#FFFFFF" size="2"><center><p>This display was created using VADV-PHP.</p></center></font>

</font>
</body>

</html>
